Package org.opensaml.saml.ext.saml2delrestrict

# Interface Delegate

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `DelegateImpl`

public interface Delegate extends SAMLObject
SAML 2.0 Condition for Delegation Restriction - Delegate element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONFIRMATION_METHOD_ATTRIB_NAME`
ConfirmationMethod attribute name.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`DELEGATION_INSTANT_ATTRIB_NAME`
DelegationInstant attribute name.
`static final QName`
`DELEGATION_INSTANT_ATTRIB_QNAME`
DelegationInstant attribute QName.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`BaseID`
`getBaseID()`
Gets the BaseID child element of the delegate.
`String`
`getConfirmationMethod()`
Get the confirmation method attribute value.
`Instant`
`getDelegationInstant()`
Get the delegation instant attribute value.
`EncryptedID`
`getEncryptedID()`
Gets the EncryptedID child element of the delegate.
`NameID`
`getNameID()`
Gets the NameID child element of the delegate.
`void`
`setBaseID(BaseID newBaseID)`
Sets the BaseID child element of the delegate.
`void`
`setConfirmationMethod(String newMethod)`
Set the confirmation method attribute value.
`void`
`setDelegationInstant(Instant newInstant)`
Set the delegation instant attribute value.
`void`
`setEncryptedID(EncryptedID newEncryptedID)`
Sets the EncryptedID child element of the delegate.
`void`
`setNameID(NameID newNameID)`
Sets the NameID child element of the delegate.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### DELEGATION_INSTANT_ATTRIB_NAME

@Nonnull @NotEmpty static final String DELEGATION_INSTANT_ATTRIB_NAME
DelegationInstant attribute name.

See Also:
  - Constant Field Values

### DELEGATION_INSTANT_ATTRIB_QNAME

@Nonnull static final QName DELEGATION_INSTANT_ATTRIB_QNAME
DelegationInstant attribute QName.

### CONFIRMATION_METHOD_ATTRIB_NAME

@Nonnull @NotEmpty static final String CONFIRMATION_METHOD_ATTRIB_NAME
ConfirmationMethod attribute name.

See Also:
  - Constant Field Values

## Method Details

### getBaseID

@Nullable BaseID getBaseID()
Gets the BaseID child element of the delegate.

Returns:
  the base identifier of the delegate

### setBaseID

void setBaseID(@Nullable BaseID newBaseID)
Sets the BaseID child element of the delegate.

Parameters:
  `newBaseID` - the base identifier of the delegate

### getNameID

@Nullable NameID getNameID()
Gets the NameID child element of the delegate.

Returns:
  the name identifier of the principal for this request

### setNameID

void setNameID(@Nullable NameID newNameID)
Sets the NameID child element of the delegate.

Parameters:
  `newNameID` - the name identifier of the delegate

### getEncryptedID

@Nullable EncryptedID getEncryptedID()
Gets the EncryptedID child element of the delegate.

Returns:
  the encrypted name identifier of the delegate

### setEncryptedID

void setEncryptedID(@Nullable EncryptedID newEncryptedID)
Sets the EncryptedID child element of the delegate.

Parameters:
  `newEncryptedID` - the new encrypted name identifier of the delegate

### getDelegationInstant

@Nullable Instant getDelegationInstant()
Get the delegation instant attribute value.

Returns:
  the delegation instant

### setDelegationInstant

void setDelegationInstant(@Nullable Instant newInstant)
Set the delegation instant attribute value.

Parameters:
  `newInstant` - the new delegation instant

### getConfirmationMethod

@Nullable String getConfirmationMethod()
Get the confirmation method attribute value.

Returns:
  the confirmation method

### setConfirmationMethod

void setConfirmationMethod(@Nullable String newMethod)
Set the confirmation method attribute value.

Parameters:
  `newMethod` - the new confirmation method